export default {
  computed: {
    title() {
      let title = this.$store.state.route && this.$store.state.route.meta.title
      if (typeof title === 'undefined') {
        ;['dashboardMenu', 'topMenu', 'bottomMenu'].forEach(menuName => {
          let value = this.$helpers.getValue(this.$store, 'state.route.meta.' + menuName + '.displayName')
          if (value !== false) {
            title = value
          }
        })
      }
      return this.$t(title)
    },
  },
}
